#!/bin/bash
set -euo pipefail

CROPSWAPDEBUG=cropswap-debug@shandan.one
SENDMAIL=/usr/sbin/sendmail
: ${TEST:=0}
if (( TEST != 0)); then
	cat -
	cat <<-EOF >&2
	ERROR ${1:-unknown}
	$(env)
	EOF
else
	makemime -j "&4" "&5" 4< <(cat -) 5<<-EOF | "$SENDMAIL" -F "${FROM:-}" -f "${MAILGROUP:-}" "${CROPSWAPDEBUG}"
	Content-Type: text/plain; charset="utf-8"
	Content-Disposition: attachment

	ERROR ${1:-unknown}
	$(env)
	EOF
fi
exit ${EXITCODE:-0}
